<% provide :title, @new_show&.title %>
<div class="container">
  <% if @new_show&.thump.attached? %>
    <div class="swiper-slide swiper_slide_banner">
      <%= image_tag @new_show&.thump %>
      <div class="swiper_title_detail">
        <%= @new_show&.title %></div>
    </div>
    <div class="swiper_content_detail">
      <%= @new_show&.content %>
      <div class="edit_or_delete">
        <div><%= t "comments.show.post_day" %><%= @new_show&.created_at %></div>
        <div><%= t "news.index.author" %><%= User.find_by(id: @new_show&.user_id).name %></div>
      </div>
    </div>
  <% end %>
  <div class="comment_read">
    <% if @like %>
      <%= form_for(@like) do |f| %>
        <%= f.text_field :new_id, value: @new_show.id, class: "d-none" %>
        <%= f.text_field :user_id, value: session[:user_id], class: "d-none" %>
        <div class="button-like-new">
          <% if logged_in? %>
            <% if Like.find_by(user_id: session[:user_id], new_id: @new_show.id) == nil %>
              <%= f.submit "Thích bài viết", class: "btn btn-primary like-button" %>
            <% end %>
          <% end %>
        </div>
      <% end %>
      <% if Like.find_by(user_id: session[:user_id], new_id: @new_show.id) %>
        <%= button_to "Bỏ thích bài viết", "/#{locale}/likes/#{Like.find_by(user_id: session[:user_id], new_id: @new_show.id).id}", method: :delete,
                      data: { confirm: t("common.you_sure?") }, class: "btn btn-primary unlike-button" %>
      <% end %>
      <% if Like.find_by(user_id: session[:user_id], new_id: @new_show.id) == nil %>
        <div class="count-likes"><%= @new_show.likes.count %> Likes</div>
      <% end %>
      <% if Like.find_by(user_id: session[:user_id], new_id: @new_show.id) %>
        <div class="counted-likes"><%= @new_show.likes.count %> Likes</div>
      <% end %>
    <% end %>
    <%= link_to "<button>Thêm bình luận</button>".html_safe, logged_in? ? new_comment_path(new_id: @new_show.id) : login_path %>
    <% @new_show.comment.each do |i| %>
      <div class="comment_area">
        <div class="comment_author">
          <%= gravatar_for User.find_by(id: i.user_id) %>
          <br>
          <%= User.find_by(id: i.user_id).name %>
        </div>
        <div class="comment_element">
          <div class="comment_content"><%= i.comment %></div>

          <div class="d-flex">
            <% if @like_comment %>
              <%= form_for(@like_comment) do |f| %>
                <%= f.text_field :comment_id, value: i.id, class: "d-none" %>
                <%= f.text_field :user_id, value: session[:user_id], class: "d-none" %>
                <div class="button-like-new">
                  <% if logged_in? %>
                    <% if LikeComment.find_by(user_id: session[:user_id], comment_id: i.id) == nil %>
                      <%= f.submit "Thích bình luận", class: "btn btn-primary like-button" %>
                    <% end %>
                  <% end %>
                </div>
              <% end %>
              <% if LikeComment.find_by(user_id: session[:user_id], comment_id: i.id) %>
                <%= button_to "Bỏ thích bình luận", "/#{locale}/like_comments/#{LikeComment.find_by(user_id: session[:user_id], comment_id: i.id).id}", method: :delete,
                              data: { confirm: t("common.you_sure?") }, class: "btn btn-primary unlike-button" %>
              <% end %>
              <% if LikeComment.find_by(user_id: session[:user_id], comment_id: i.id) == nil %>
                <div class="count-likes"><%= i.like_comments.count %> Likes</div>
              <% end %>
              <% if LikeComment.find_by(user_id: session[:user_id], comment_id: i.id) %>
                <div class="counted-likes"><%= i.like_comments.count %> Likes</div>
              <% end %>
            <% end %>
          </div>

          <div class="edit_or_delete">
            <div><%= t "comments.show.post_day" %><%= i.created_at %></div>
            <% if logged_in? && session[:user_id] == i.user_id %>
              <div><%= link_to t("common.edit"), logged_in? ? edit_comment_url(id: i.id, new_id: @new_show.id) : login_path %></div>
              <div><%= button_to t("common.delete"), logged_in? ? "/#{locale}/comments/#{i.id}" : login_path, method: :delete,
                                 data: { confirm: t("common.you_sure?") } %></div>
            <% end %>
          </div>
        </div>
        <br>
      </div>
    <% end %>
  </div>
</div>
